HP 1005 Laser Jet Printer Problem (Ubuntu 11.04)

Asked by ali hakan mutluay on 2011-10-06

I am new in Ubuntu. When I installed Ubuntu HP 1005 Laser Jet Printer is recognized by Ubuntu. I was Happy. But when I send a page for printing, printer does not work. Ubuntu gives a message "download plugin and install". I followed Ubuntu instructions but in the end there is a final message says "Plugin file does not match in its digital signature. File may have corrupted or altered, Error Code :2"

I tried to solve by looking at forums. As I understood there is really a problem between Ubuntu11.04 and HP 1005. As I am a new and non technical user. I need a practical help.

Thanks and Regard.

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu hplip Edit question
Assignee:
No assignee Edit question
Solved by:
ali hakan mutluay
Solved:
2011-10-29
Last query:
2011-10-29
Last reply:
2011-10-06
ahambidge (ahambidge) said : #1

Hello,

You can install the HP driver HPLIP 3.10.11 from the Synaptic Package Manager.

Also check the HP website as they have Drivers for Linux.

Regards,

Allan :)

http://hplipopensource.com/hplip-web/models/laserjet/hp_laserjet_p1005.html

HPLIP *DOES* support it :)

The latest HPLIP from the HPLIP site may help, download the .run file, mark it as executable and run it in a terminal as user (WITHOUT sudo) and it should help.

Could also try:

gksudo http://localhost:631

and install it from there (remove the old one first)

ali hakan mutluay (amutluay) said : #4

Problem is solved when upgraded 10.10. By this I can download required plug in for the HP printer.

ali hakan mutluay (amutluay) said : #5

Sorry 11.10